---
apiVersion: v1
data:
  adapter.credentials: dXNlcm5hbWU9aHR0cC1hZGFwdGVyQEhPTk8KcGFzc3dvcmQ9aHR0cC1zZWNyZXQK
kind: Secret
metadata:
  annotations:
    config.kubernetes.io/origin: |
      configuredIn: base/kustomization.yaml
      configuredBy:
        apiVersion: builtin
        kind: HelmChartInflationGenerator
  labels:
    app.kubernetes.io/component: adapter-http
    app.kubernetes.io/instance: hono
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: hono
    app.kubernetes.io/version: 2.1.1
    helm.sh/chart: hono-2.1.5
  name: hono-adapter-http-conf
  namespace: hono
stringData:
  application.yml: "hono:\n  app:\n    maxInstances: 1\n  http:\n    bindAddress:
    \"0.0.0.0\"\n    insecurePortBindAddress: \"0.0.0.0\"\n    insecurePortEnabled:
    true\n    keyPath: \"/opt/hono/tls/tls.key\"\n    certPath: \"/opt/hono/tls/tls.crt\"\n
    \   tenantIdleTimeout: \"1h\"\n  \n  kafka:\n    commonClientConfig:\n      bootstrap.servers:
    \"hono-kafka-0.hono-kafka-headless:9092\"\n      security.protocol: \"SASL_SSL\"\n
    \     sasl.mechanism: \"SCRAM-SHA-512\"\n      sasl.jaas.config: \"org.apache.kafka.common.security.scram.ScramLoginModule
    required username=\\\"hono\\\" password=\\\"hono-secret\\\";\"\n      ssl.truststore.type:
    \"PEM\"\n      ssl.truststore.location: \"/opt/hono/tls/ca.crt\"\n      ssl.endpoint.identification.algorithm:
    \"\" # Disables hostname verification. Don't do this in productive setups!\n  tenant:\n
    \   name: \"Hono adapter-http\"\n    host: \"hono-service-device-registry\"\n
    \   port: 5671\n    credentialsPath: \"/opt/hono/config/adapter.credentials\"\n
    \   trustStorePath: \"/opt/hono/tls/ca.crt\"\n    hostnameVerificationRequired:
    false\n  registration:\n    name: \"Hono adapter-http\"\n    host: \"hono-service-device-registry\"\n
    \   port: 5671\n    credentialsPath: \"/opt/hono/config/adapter.credentials\"\n
    \   trustStorePath: \"/opt/hono/tls/ca.crt\"\n    hostnameVerificationRequired:
    false\n  credentials:\n    name: \"Hono adapter-http\"\n    host: \"hono-service-device-registry\"\n
    \   port: 5671\n    credentialsPath: \"/opt/hono/config/adapter.credentials\"\n
    \   trustStorePath: \"/opt/hono/tls/ca.crt\"\n    hostnameVerificationRequired:
    false\n  commandRouter:\n    name: \"Hono adapter-http\"\n    host: \"hono-service-command-router\"\n
    \   port: 5671\n    credentialsPath: \"/opt/hono/config/adapter.credentials\"\n
    \   trustStorePath: \"/opt/hono/tls/ca.crt\"\n    hostnameVerificationRequired:
    false    \nquarkus:\n  console:\n    color: false\n  log:\n    min-level: TRACE\n
    \   level: INFO\n    category:\n      \"io.quarkus.vertx.core.runtime\":\n        level:
    DEBUG\n  vertx:\n    prefer-native-transport: true\n    resolver:\n      cache-max-time-to-live:
    0\n"
type: Opaque
